/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

// Retrieve all consistency results
let results = Repository.query("//element(*, ametys:consistencyResult)");
let total = results.getSize();
let handled = 0;

logger.info(`Starting migration of ${total} consistency results to remove..`);

for (let result of results)
{
    result.remove();
    
    handled++;
    if (handled % 500 == 0)
    {
        logger.info(`[${handled}/${total}] handled results`);
        Repository.session.save();
    }
}

Repository.session.save();

logger.info(`${handled} consistency results have been removed`);
