/*
 *  Copyright 2013 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.define("Ametys.plugins.cms.Message",
		{
			override: "Ametys.message.Message",
			
			statics: 
			{
				/**
				 * @readonly
                 * @static
				 * @member Ametys.message.Message
				 * @property {String} LOCK_CHANGED Event when the lock state has changed. 
				 * The target is the element that has been locked or unlock and can be of any type.
				 */
				LOCK_CHANGED: "lockChanged",
				
				/**
				 * @readonly
                 * @static
				 * @member Ametys.message.Message
				 * @property {String} WORKFLOW_CHANGED Event when the workflow state has changed. 
				 * The target and subtarget is the new element selected and can be of any type.
				 */
				WORKFLOW_CHANGED: "workflowChanged",
					
				/**
				 * @readonly
                 * @static
				 * @member Ametys.message.Message
				 * @property {String} WORKFLOW_CHANGING Event when the workflow state is changing. 
				 * The target and subtarget is the new element selected and can be of any type.
				 */
				WORKFLOW_CHANGING: "workflowChanging",
				
				/**
				 * @readonly
                 * @static
				 * @member Ametys.message.Message
				 * @property {String} CONSISTENCY_CHECK_STARTED Event when the global consistency check process has started on the server. 
				 * No target are expected.
				 */
				CONSISTENCY_CHECK_STARTED: "consistencyCheckStarted",
				
				/**
				 * @readonly
                 * @static
				 * @member Ametys.message.Message
				 * @property {String} CONSISTENCY_CHECK_ENDED Event when the global consistency check process has ended. 
				 * No target are expected.
				 */
				CONSISTENCY_CHECK_ENDED: "consistencyCheckEnded"
			}
		}
);

Ext.override(Ametys.tool.Tool, {
    statics: 
    {
        /**
         * @readonly
         * @member Ametys.tool.Tool
         * @property {String} TYPE_CONTENT Stands for a tool type {@link #getType}. This is the type of 'content' tools.
         */
        
        /**
         * @readonly
         * @member Ametys.tool.Tool
         * @property {String} SOLR_QUERY Stands for a tool type {@link #getType}. This is the type of 'solr query' tools.
         */
        SOLR_QUERY: "solrquery" 
    }
});

Ametys.tool.Tool.TYPE_CONTENT = "content";
Ametys.tool.Tool.TYPES[Ametys.tool.Tool.TYPE_CONTENT] = { ui: Ametys.ui.tool.ToolPanel.TOOLTYPE_30, priority: 30 };

Ametys.tool.Tool.TYPE_CONTENT_DATA = "content-data";
Ametys.tool.Tool.TYPES[Ametys.tool.Tool.TYPE_CONTENT_DATA] = { ui: Ametys.ui.tool.ToolPanel.TOOLTYPE_60, priority: 30 };

Ametys.tool.Tool.TYPES[Ametys.tool.Tool.SOLR_QUERY] = { ui: Ametys.ui.tool.ToolPanel.TOOLTYPE_0, priority: 97 };
