/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/**
 * This tool displays a global consistency report for contents which consistency
 * issues.
 * @private
 */
Ext.define('Ametys.plugins.cms.content.actions.ContentConsistencyActions', {
    singleton : true,
    
    exportCSV: function(controller)
    {
        var searchTool = Ametys.tool.ToolsManager.getFocusedTool();
        var params = searchTool.getSearchParametersForExport();
        var url = Ametys.getPluginDirectPrefix("cms/consistency/export.csv");
        
        Ametys.openWindow (url, {parameters: Ext.JSON.encode(params)}, 'POST');
    }
});
