/*
 *  Copyright 2013 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/**
 * This class controls a ribbon button representing a node of resource explorer
 * @private
 */
Ext.define('Ametys.plugins.cms.explorer.controllers.ContentAttachmentController', {
	extend: 'Ametys.explorer.controllers.ExplorerNodeController',
	
	additionalErrorDescriptionOnSelectionChanged: function(targets)
	{
	    var additionalError = this.callParent(targets);
	    
	    if (additionalError == null || additionalError == '')
        {
	        if (String(this.getInitialConfig('enabled-on-parent-unlocked-only')) == 'true')
            {
    	        var contentTarget = Ametys.message.MessageTargetHelper.findTarget(targets, /^content$/);
    	        if (contentTarget != null && contentTarget.getParameters().content.locked && !contentTarget.getParameters().content.canUnlock)
    	        {
	                return this.getInitialConfig('parent-locked-description') || '';
    	        }
            }
        }
	    
	    return additionalError;
	}

});
