/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
 
AmetysFront = {
    
    _appParams: {},
    
    setAppParameter: function (name, value)
    {
        this._appParams[name] = value;
    },
    
    /**
     * @readonly
     * @property {String} CONTEXT_PATH The url to use to contact server for plugins resources
     */
    CONTEXT_PATH : "",
    
    URI_PREFIX: "",
    
    ABSOLUTE_URI_PREFIX: "",
    
    MAX_UPLOAD_SIZE: 1000000,
    
    /**
     * @property {String} [LOCALE="en"] The code of the country for locale. Set this constant.
     */
    LOCALE : "en",
                    
    getPluginDirectPrefix: function (plugin)
    {
        return [AmetysFront.URI_PREFIX, '_plugins', plugin].join('/');
    },
    
    getAbsolutePluginDirectPrefix: function (plugin)
    {
        return [AmetysFront.ABSOLUTE_URI_PREFIX, '_plugins', plugin].join('/');
    },
    
    getPluginResourcesPrefix: function (plugin)
    {
        return [AmetysFront.URI_PREFIX, 'plugins', plugin, 'resources'].join('/');
    },
    
    getAbsolutePluginResourcesPrefix: function (plugin)
    {
        return [AmetysFront.ABSOLUTE_URI_PREFIX, 'plugins', plugin, 'resources'].join('/');
    },
    
    getAppParameters: function()
    {
        return this._appParams;
    },
    
    getAppParameter: function(name)
    {
        return this._appParams[name];
    }
}
