/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.alerts;

/**
 * Constants related to content alerts.
 */
public interface AlertsConstants
{
    
    /** The name of the metadata storing when the "awaiting validation" alert was last sent. */
    public static final String AWAITING_VALIDATION_ALERT_LAST_DATE = "awaitingValidationLastDate";
    
    /** The name of the metadata storing whether the "unmodified content" alert is enabled. */
    public static final String UNMODIFIED_ALERT_ENABLED = "unmodifiedAlertEnabled";
    
    /** The name of the metadata storing the "unmodified content" reminder text. */
    public static final String UNMODIFIED_ALERT_TEXT = "unmodifiedAlertText";
    
    /** The name of the metadata storing when the "unmodified content" alert was last sent. */
    public static final String UNMODIFIED_ALERT_LAST_DATE = "unmodifiedAlertLastDate";
    
    /** The name of the metadata storing whether the reminder is enabled. */
    public static final String REMINDER_ENABLED = "reminderEnabled";
    
    /** The name of the metadata storing the reminder date. */
    public static final String REMINDER_DATE = "reminderDate";
    
    /** The name of the metadata storing the reminder text. */
    public static final String REMINDER_TEXT = "reminderText";
    
    /** The name of the metadata storing when the "scheduled archiving" alert was last sent. */
    public static final String SCHEDULED_ARCHIVING_REMINDER_LAST_DATE = "scheduledArchivingLastDate";
    
}
