/*
 *  Copyright 2013 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.clientsideelement;

import org.ametys.cms.contenttype.ContentType;

/**
 * This element creates a menu with one gallery item per mixin content type classified by category. 
 * The user rights are checked. 
 */
public class MixinContentTypesGallery extends ContentTypesGallery
{
    @Override
    protected boolean isValidContentType(ContentType contentType)
    {
        return contentType.isMixin() && !contentType.isPrivate() && !contentType.isAbstract();
    }
}
