/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.clientsideelement.styles;

import java.util.Map;
import java.util.stream.Collectors;

import org.apache.commons.lang3.tuple.Pair;


/**
 * Implementation for Table styles 
 */
public class LinkMenu extends AbstractEditorStyleMenu
{
    @Override
    protected Map<String, StyleCategory> _getStyleCategories(Map<String, Object> contextParameters)
    {
        return _htmlEditorStyle.getCategories()
                .stream()
                .map(c -> Pair.of(c, _htmlEditorStyle.getLink(c, contextParameters)))
                .collect(Collectors.toMap(Pair::getLeft, Pair::getRight));
    }
}

