/*
 *  Copyright 2012 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.content;

import java.io.IOException;
import java.util.Locale;

import org.apache.cocoon.ProcessingException;
import org.apache.cocoon.xml.AttributesImpl;
import org.apache.cocoon.xml.XMLUtils;
import org.xml.sax.SAXException;

import org.ametys.cms.repository.Content;
import org.ametys.cms.repository.comment.CommentableContent;

/**
 * SAX the comments of a content
 *
 */
public class CommentsGenerator extends ContentGenerator
{
    @Override
    protected void _saxContent (Content content, Locale defaultLocale) throws SAXException, IOException, ProcessingException
    {
        AttributesImpl attrs = new AttributesImpl();
        attrs.addCDATAAttribute("title", content.getTitle(defaultLocale));
        attrs.addCDATAAttribute("name", content.getName());
        
        XMLUtils.startElement(contentHandler, "content", attrs);
        
        if (content instanceof CommentableContent)
        {
            _contentSaxer.saxContentComments((CommentableContent) content, contentHandler);
        }
        
        XMLUtils.endElement(contentHandler, "content");
    }
}
