/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.content.external;

import java.util.Set;

import org.ametys.cms.repository.Content;
import org.ametys.plugins.repository.data.external.ExternalizableDataProvider;
import org.ametys.plugins.repository.data.external.ExternalizableDataProvider.ExternalizableDataStatus;

/**
 * This interface represents a provider of externalizable metadata for a content.
 * @deprecated Use {@link ExternalizableDataProvider} instead
 */
@Deprecated
public interface ExternalizableMetadataProvider
{
    /**
     * Enumeration for metadata status
     * @deprecated Use {@link ExternalizableDataStatus} instead
     */
    @Deprecated
    public enum ExternalizableMetadataStatus
    {
        /** Status for a metadata for which the value to used is the external value */
        EXTERNAL,
        /** Status for a metadata for which the value to used is the local value */
        LOCAL
    }
    
    /**
     * Get the path of metadata that can be valued externally or locally.
     * @param content The content
     * @return The path of external or local metadata
     */
    public Set<String> getExternalAndLocalMetadata (Content content);
}
