/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.content.indexing.solr.content.attachment;

import org.ametys.cms.repository.Content;
import org.ametys.runtime.plugin.ExtensionPoint;
import org.ametys.runtime.plugin.component.AbstractThreadSafeComponentExtensionPoint;

/**
 * The {@link ExtensionPoint} for {@link ContentVisibleAttachmentIndexer}, which allow to index the ids of the visible attachments of a {@link Content}.
 */
public class ContentVisibleAttachmentIndexerExtensionPoint extends AbstractThreadSafeComponentExtensionPoint<ContentVisibleAttachmentIndexer>
{
    /** Avalon Role */
    public static final String ROLE = ContentVisibleAttachmentIndexerExtensionPoint.class.getName();
}

