/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.ametys.cms.content.references;

import org.ametys.cms.data.RichText;

/**
 * Extracts the outgoing references from a rich text metadata.
 * This <b>may be</b> part of the (global) outgoing references extractor.
 */
public interface RichTextOutgoingReferencesExtractor
{
    /**
     * This method analyzes a rich text to return the list of outgoing references
     * @param richText The rich text to analyze
     * @return The outgoing references for the rich text
     */
    public OutgoingReferences getOutgoingReferences(RichText richText);
}
