/*
 *  Copyright 2017 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.content.referencetable.search;

import org.ametys.cms.search.solr.field.AbstractNoJoinSystemSearchField;

/**
 * Search field for "parent" metadata of a entry part of a hirerachical reference table
 */
public class ParentContentSearchField extends AbstractNoJoinSystemSearchField
{
    /** The parent field name. */
    public static final String NAME = "refParents";
    
    @Override
    public String getName()
    {
        return NAME;
    }

    @Override
    public String getSortField()
    {
        // Not sortable.
        return null;
    }

    @Override
    public String getFacetField()
    {
        return NAME + "_dv";
    }
}
