/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.content.version;

import org.ametys.core.ui.ClientSideElement;
import org.ametys.plugins.repository.version.VersionAwareAmetysObject;

/**
 * {@link ClientSideElement} for the button for comparing a content between its current version and its newest version.
 */
public class CompareOldContentWithCurrentVersionClientSideElement extends CompareContentVersionClientSideElement
{
    @Override
    protected String getVersionToCompare(VersionAwareAmetysObject versionable)
    {
        return _compareVersionHelper.getNewestVersion(versionable);
    }
    
    @Override
    protected String getBaseVersion(VersionAwareAmetysObject versionable)
    {
        return _compareVersionHelper.getCurrentVersion(versionable);
    }
}

