/*
 *  Copyright 2013 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.contenttype;

import org.apache.avalon.framework.configuration.Configuration;

/**
 * This class represents a dynamic content type descriptor
 */
public class DynamicContentTypeDescriptor extends AbstractContentTypeDescriptor
{
    @Override
    protected Configuration getRootConfiguration(Configuration configuration)
    {
        return configuration.getChild("dynamic-content-type-descriptor");
    }
    
    @Override
    public String getDefaultCatalog()
    {
        return "application";
    }
    
    @Override
    public String getIconPath(String pluginName)
    {
        return "/plugins/cms/dynamic-content-types_resources/" + pluginName + "/resources/";
    }
}
