/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.contenttype.validation;

import org.apache.avalon.framework.logger.AbstractLogEnabled;

import org.ametys.cms.contenttype.ContentType;
import org.ametys.cms.contenttype.ContentValidator;

/**
 * This abstract class represent a global validator for contents.
 */
public abstract class AbstractContentValidator extends AbstractLogEnabled implements ContentValidator
{
    private ContentType _contentType;

    @Override
    public void setContentType (ContentType contentType)
    {
        _contentType = contentType;
    }

    @Override
    public ContentType getContentType ()
    {
        return _contentType;
    }
}
