/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.contenttype.validation;

import org.ametys.cms.contenttype.ContentValidator;

/**
 * Base {@link ContentValidator} validating the content by comparing one or more couples of long values.
 */
public class LongIntervalValidator extends AbstractNumberIntervalValidator<Long>
{
    @Override
    protected boolean isLessThan(Long n1, Long n2)
    {
        return n1 < n2;
    }
}
