/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.data;

import org.ametys.plugins.repository.data.repositorydata.RepositoryData;

/**
 * Class representing a file
 */
public class NamedResource extends Resource
{
    /** the file's name */
    protected String _filename;
    
    /**
     * Default constructor
     */
    public NamedResource()
    {
        // Empty constructor
    }
    
    /**
     * Constructor to use when reading the file from the repository
     * @param repositoryData the repository data containing the file's data
     */
    public NamedResource(RepositoryData repositoryData)
    {
        super(repositoryData);
    }
    
    /**
     * Retrieves the binary's file name
     * @return the binary's file name
     */
    public String getFilename()
    {
        return _filename;
    }

    /**
     * Sets the binary's file name
     * @param filename the file name to set
     */
    public void setFilename(String filename)
    {
        _filename = filename;
    }
}
