/*
 *  Copyright 2022 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.data.holder.group;

import java.util.List;

import org.ametys.cms.data.holder.ModifiableIndexableDataHolder;
import org.ametys.plugins.repository.data.holder.group.ModifiableModelAwareRepeater;

/**
 * Interface for modifiable indexable repeaters
 */
public interface ModifiableIndexableRepeater extends IndexableRepeater, ModifiableModelAwareRepeater
{
    @Override
    public List<? extends ModifiableIndexableRepeaterEntry> getEntries();
    
    @Override
    public ModifiableIndexableRepeaterEntry getEntry(int position);
    
    @Override
    public ModifiableIndexableRepeaterEntry addEntry();
    
    @Override
    public ModifiableIndexableRepeaterEntry addEntry(int position) throws IllegalArgumentException;
    
    @Override
    public ModifiableIndexableDataHolder getParentDataHolder();
    
    @Override
    public ModifiableIndexableDataHolder getRootDataHolder();
}
