/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.data.type;

/**
 * Constants for model item types
 */
public interface ModelItemTypeConstants extends org.ametys.plugins.repository.data.type.ModelItemTypeConstants
{
    /** Extension id for rich text element types */
    public static final String USER_ELEMENT_TYPE_ID = "user";

    /** Extension id for rich text element types */
    public static final String GEOCODE_ELEMENT_TYPE_ID = "geocode";

    /** Extension id for rich text element types */
    public static final String MULTILINGUAL_STRING_ELEMENT_TYPE_ID = "multilingual-string";

    /** Extension id for rich text element types */
    public static final String REFERENCE_ELEMENT_TYPE_ID = "reference";
    
    /** Extension id for content element types */
    public static final String CONTENT_ELEMENT_TYPE_ID = "content";

    /** Extension id for rich text element types */
    public static final String BINARY_ELEMENT_TYPE_ID = "binary";

    /** Extension id for rich text element types */
    public static final String RICH_TEXT_ELEMENT_TYPE_ID = "rich-text";

    /** Extension id for rich text element types */
    public static final String FILE_ELEMENT_TYPE_ID = "file";
}
