/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.languages;

import java.util.Set;

import org.apache.avalon.framework.service.ServiceException;
import org.apache.avalon.framework.service.ServiceManager;
import org.apache.avalon.framework.service.Serviceable;

/**
 * Class for managing workflow's languages
 */
public class WorkflowLanguageManager extends org.ametys.plugins.workflow.component.WorkflowLanguageManager implements Serviceable
{
    /** The language manager */
    protected LanguagesManager _languagesManager;
    
    @Override
    public void service(ServiceManager manager) throws ServiceException
    {
        _languagesManager = (LanguagesManager) manager.lookup(LanguagesManager.ROLE);
    }
    
    @Override
    public Set<String> getLanguages()
    {
        return _languagesManager.getAvailableLanguages().keySet();
    }
}
