/*
 *  Copyright 2022 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.model;

import java.util.Collection;

import org.ametys.cms.data.ContentValue;
import org.ametys.runtime.model.ElementDefinition;
import org.ametys.runtime.model.ModelItem;
import org.ametys.runtime.model.ModelItemAccessor;

/**
 * Interface for element definition of type Content
 */
public interface ContentElementDefinition extends ElementDefinition<ContentValue>, ModelItemAccessor
{
    /**
     * Get the element's content type identifier.
     * @return the element's content type identifier.
     */
    public String getContentTypeId();
    
    /**
     * Set the element's content type identifier.
     * @param contentTypeId the content type identifier to set.
     */
    public void setContentTypeId(String contentTypeId);
    
    public Collection< ? extends ModelItem> getModelItems();
}
