/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.repository;

/**
 * Interface to handle reports on object
 *
 */
public interface ReportableObject
{
    /**
     * Add a report to the object
     */
    public void addReport();
    
    /**
     * Sets the number of reports on the object
     * @param reportsCount the number of reports to set
     */
    public void setReportsCount(long reportsCount);
    
    /**
     * Remove all reports on the object
     */
    public void clearReports();
    
    /**
     * Retrieves the number of reports on the object
     * @return the number of reports
     */
    public long getReportsCount();
}
