/*
 *  Copyright 2013 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.repository;

import org.ametys.plugins.repository.RepositoryConstants;
import org.ametys.plugins.repository.query.expression.Expression;

/**
 * Constructs an {@link Expression} for sub-content comparison
 */
public class SubContentExpression implements Expression
{
    /**
     * Creates the expression to test the existence of sub-contents
     */
    public SubContentExpression()
    {
        // Nothing
    }
    
    @Override
    public String build()
    {
        return "@" + RepositoryConstants.NAMESPACE_PREFIX_INTERNAL + ":subContent";
    }

}
