/*
 *  Copyright 2013 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.repository.comment.actions;

import org.apache.avalon.framework.service.ServiceException;
import org.apache.avalon.framework.service.ServiceManager;
import org.apache.cocoon.acting.ServiceableAction;

import org.ametys.cms.repository.comment.CommentsDAO;

/**
 * Abstract action on comments
 *
 */
public abstract class AbstractCommentAction extends ServiceableAction
{
    /** The request parameter name for content id */
    public static final String PARAMETER_CONTENTID = "content-id";
    /** The request parameter name for content id */
    public static final String PARAMETER_COMMENTID = "comment-id";

    /** Comments DAO */
    protected CommentsDAO _commentsDAO;
    
    @Override
    public void service(ServiceManager smanager) throws ServiceException
    {
        super.service(smanager);
        _commentsDAO = (CommentsDAO) smanager.lookup(CommentsDAO.ROLE);
    }
}
