/*
 *  Copyright 2024 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.repository.comment.contributor.ui;

import java.util.List;
import java.util.Map;

import org.ametys.cms.ObservationConstants;
import org.ametys.cms.repository.Content;
import org.ametys.cms.rights.ContentRightAssignmentContext;
import org.ametys.core.ui.Callable;

/**
 * This client side element manages thread of contributor comments of a {@link Content}
 */
public class ContentThreadClientSideElement extends AbstractAmetysObjectThreadClientSideElement<Content>
{
    @Callable(rights = "CMS_Rights_ContentThreads", rightContext = ContentRightAssignmentContext.ID, paramIndex = 0)
    @Override
    public List<Map<String, Object>> getThread(String contentId)
    {
        return super.getThread(contentId);
    }
    
    @Callable(rights = "CMS_Rights_ContentThreads", rightContext = ContentRightAssignmentContext.ID, paramIndex = 0)
    @Override
    public Map<String, Object> addComment(String contentId, String commentContent) throws IllegalStateException
    {
        return super.addComment(contentId, commentContent);
    }
    
    @Override
    protected String _getAddedCommentNotificationEventId()
    {
        return ObservationConstants.EVENT_CONTENT_CONTRIBUTOR_COMMENT_ADDED;
    }
}
