/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.rights.actions;

import java.util.Map;

import org.apache.avalon.framework.parameters.Parameters;
import org.apache.avalon.framework.service.ServiceException;
import org.apache.avalon.framework.service.ServiceManager;


/**
 * This action determines if the user has a right given in src.<br>
 * return EMPTY_MAP if the user has right and null otherwise<br>
 * You can use the 'context' parameter to specify the right context. /cms is the default value.
 */
public class HasRightAction extends org.ametys.plugins.core.right.HasRightAction
{
    
    @Override
    public void service(ServiceManager smanager) throws ServiceException
    {
        super.service(smanager);
    }
    
    @Override
    protected String getBaseContext(Parameters parameters, Map objectModel)
    {
        return parameters.getParameter("context", "/cms");
    }
}
