/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search;

import org.ametys.cms.search.solr.SearcherFactory.Searcher;

/**
 * {@link Iterable} for results of a Solr search ({@link Searcher#searchWithFacets()}), available from {@link SearchResults#getResults()}
 * @param <T> the type of elements returned by the iterator
 */
public interface SearchResultsIterable<T> extends Iterable<T>
{
    /**
     * Returns the number of elements in this iterable.
     * @return the number of elements in this iterable.
     */
    long getSize();
    
    @Override
    SearchResultsIterator<T> iterator();
}
