/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search;

import java.util.Iterator;

/**
 * {@link Iterator} of a {@link SearchResultsIterable}
 * @param <E> the type of elements returned by this iterator
 */
public interface SearchResultsIterator<E> extends Iterator<E>
{
    /**
     * Skip a number of elements in the iterator. <br>
     * @param skipNum the non-negative number of elements to skip
     */
    void skip(long skipNum);
}
