/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search.advanced;

/**
 * This class represents a leaf in a tree data structure.
 * @param <T> the type of the value of the leaf.
 */
public final class TreeLeaf<T> extends AbstractTreeNode<T>
{
    private T _value;

    /**
     * Constructs a new leaf in a tree data structure with the given value.
     * @param value the value
     */
    public TreeLeaf(T value)
    {
        _value = value;
    }
    
    /**
     * Gets the value
     * @return the value
     */
    public T getValue()
    {
        return _value;
    }
}

