/*
 *  Copyright 2020 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search.advanced;

/**
 * Class wrapping a value for {@link TreeMaker#toQuery}
 */
public class WrappedValue
{
    private Object _value;
    
    /**
     * Constructor
     * @param value the wrapped value
     */
    public WrappedValue(Object value)
    {
        _value = value;
    }
    
    /**
     * Gets the wrapped value
     * @return the wrapped value
     */
    public Object getValue()
    {
        return _value;
    }
    
    /**
     * Sets a new wrapped value
     * @param value the new wrapped value
     */
    public void setValue(Object value)
    {
        _value = value;
    }
    
    @Override
    public String toString()
    {
        return String.valueOf(_value);
    }
}

