/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search.query;

import org.ametys.cms.content.indexing.solr.SolrFieldNames;

/**
 * A query on the document type.
 */
public class DocumentTypeQuery extends AbstractOperatorQuery<String>
{
    /**
     * Build a document type query.
     * @param type The document type to test.
     */
    public DocumentTypeQuery(String type)
    {
        super(SolrFieldNames.DOCUMENT_TYPE, Operator.EQ, type);
    }
}
