/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search.query;

import org.ametys.cms.content.indexing.solr.SolrFieldNames;

/**
 * Represents a {@link Query} testing the position of a repeater entry.
 */
public class EntryPositionQuery extends AbstractOperatorQuery<Long>
{
    /**
     * Build a LongQuery.
     * @param value the value.
     */
    public EntryPositionQuery(long value)
    {
        this(Operator.EQ, value);
    }
    
    /**
     * Build a LongQuery.
     * @param op the operator.
     * @param value the value.
     */
    public EntryPositionQuery(Operator op, long value)
    {
        super(SolrFieldNames.REPEATER_ENTRY_POSITION, op, value);
    }
}
