/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search.query;

import org.ametys.cms.search.solr.field.HasLiveVersionSearchField;

/**
 * Represents a {@link Query} testing if the content has a live version
 */
public class HasLiveVersionQuery extends AbstractOperatorQuery<Boolean>
{
    /**
     * Build a HasLiveVersionQuery
     * @param state the state value to test
     */
    public HasLiveVersionQuery(Boolean state)
    {
        this(Operator.EQ, state);
    }

    /**
     * Build a HasLiveVersionQuery
     * @param operator the operator
     * @param state the state value to test
     */
    public HasLiveVersionQuery(Operator operator, Boolean state)
    {
        super(HasLiveVersionSearchField.NAME, operator, state);
    }
}
