/*
 *  Copyright 2017 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search.solr;

import java.util.Map;

import org.apache.cocoon.environment.ObjectModelHelper;
import org.apache.cocoon.environment.Request;

import org.ametys.cms.search.cocoon.ModelColumnsGenerator;
import org.ametys.cms.search.cocoon.SearchAction;
import org.ametys.cms.search.model.SearchModel;

/**
 * SAX the columns of a Solr search tool model.
 */
public class SolrModelColumnsGenerator extends ModelColumnsGenerator
{
    @Override
    protected SearchModel getSearchModel(Map<String, Object> jsParameters)
    {
        Request request = ObjectModelHelper.getRequest(objectModel);
        return (SearchModel) request.getAttribute(SearchAction.SEARCH_MODEL);
    }
}
