/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search.solr.field;

import java.util.List;

/**
 * String generic search field.
 */
public class StringSearchField extends AbstractModelItemSearchField
{
    /**
     * Build a string search field.
     * @param path The field path.
     */
    public StringSearchField(String path)
    {
        super(path);
    }
    /**
     * Build a string search field.
     * @param joinPaths The join field paths
     * @param finalPath The final field path.
     */
    public StringSearchField(List<String> joinPaths, String finalPath)
    {
        super(joinPaths, finalPath);
    }

    @Override
    protected String _getSortFieldSuffix()
    {
        return "_s_sort";
    }
    
    @Override
    protected String _getFacetFieldSuffix()
    {
        return "_s_dv";
    }

}
