/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.search.solr.schema;

import org.apache.solr.client.solrj.request.schema.SchemaRequest;

/**
 * Interface representing a solr schema definition (field, dynamic field, copyField or field type).
 */
public interface SchemaDefinition
{
    /**
     * Get the schema request update.
     * @return The update request
     */
    public SchemaRequest.Update getSchemaUpdate();
    
    /**
     * Test if the definition is already defined
     * @param schemaFields the existing schema fields
     * @return <code>true</code> if the definition is in the schema fields
     */
    public boolean exists(SchemaFields schemaFields);
}
