/*
 *  Copyright 2012 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.source;

import java.io.IOException;

import org.apache.excalibur.source.Source;

/**
 * Provides an overridable mechanism for selecting a view (a XSL file in most cases).
 */
public interface ViewSelector
{
    
    /** The avalon role. */
    public static final String ROLE = ViewSelector.class.getName();
    
    /**
     * Get the file source for the requested location.
     * @param pluginName The current plugin name. Can be null.
     * @param location the requested location.
     * @return the file source.
     * @throws IOException if the Source cannot be resolved.
     */
    public Source getSource(String pluginName, String location) throws IOException;
    
}
