/*
 *  Copyright 2015 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.tag;

import org.ametys.runtime.i18n.I18nizableText;

/**
 * This interface represents a type of target. <br>
 */
public interface TagTargetType
{
    /**
     * Returns the type's name.
     * @return the type's name.
     */
    public String getName();
    
    /**
     * Returns the type's label.
     * @return the type's label.
     */
    public I18nizableText getLabel();
    
    /**
     * Returns the type's description.
     * @return the type's description.
     */
    public I18nizableText getDescription ();
}
