/*
 *  Copyright 2022 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.tag.jcr;

import org.apache.avalon.framework.service.ServiceException;
import org.apache.avalon.framework.service.ServiceManager;

import org.ametys.cms.color.AbstractColorsComponent;
import org.ametys.cms.tag.TagColorsComponent;
import org.ametys.plugins.repository.AmetysObjectFactory;

/**
 * {@link AmetysObjectFactory} for creating {@link AbstractColorableJCRTag}.
 */
public abstract class AbstractColorableCMSTagFactory extends TagFactory
{
    /** The colors component */
    protected AbstractColorsComponent _colorsComponent;
    
    @Override
    public void service(ServiceManager manager) throws ServiceException
    {
        super.service(manager);
        _colorsComponent = (AbstractColorsComponent) manager.lookup(TagColorsComponent.ROLE);
    }
    
    /**
     * Get colors component
     * @return the colors component
     */
    public AbstractColorsComponent getColorsComponent()
    {
        return _colorsComponent;
    }
}
