/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.transformation.xslt;

import org.apache.avalon.framework.service.ServiceException;
import org.apache.avalon.framework.service.ServiceManager;

import org.ametys.cms.URIPrefixHandler;

/**
 * CMS implementation of {@link org.ametys.plugins.core.ui.user.ProfileImageResolverHelper}
 */
public class ProfileImageResolverHelper extends org.ametys.plugins.core.ui.user.ProfileImageResolverHelper
{
    private URIPrefixHandler _prefixHandler;

    @Override
    public void service(ServiceManager manager) throws ServiceException
    {
        super.service(manager);
        _prefixHandler = (URIPrefixHandler) manager.lookup(URIPrefixHandler.ROLE);
    }
    
    @Override
    protected String getUri(String path, boolean absolute, boolean internal)
    {
        if (internal)
        {
            return "cocoon:/" + path;
        }
        else if (absolute)
        {
            return _prefixHandler.getAbsoluteUriPrefix() + path;
        }
        else
        {
            return _prefixHandler.getUriPrefix() + path;
        }
    }
}
