/*
 *  Copyright 2017 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.workflow;

import java.util.List;
import java.util.Map;

import org.ametys.plugins.workflow.component.AmetysObjectCurrentStepCondition;
import org.ametys.runtime.i18n.I18nizableText;

/**
 * OSWorkflow condition to test the current step of a content
 * The following configuration have to be used:<br>
 * <pre>
 * &lt;condition type="avalon"&gt;
 * &nbsp;&nbsp;&lt;arg name="role"&gt;org.ametys.cms.workflow.ContentCurrentStepCondition&lt;/arg&gt;
 * &nbsp;&nbsp;&lt;arg name="step"&gt;2&lt;/arg&gt;
 * &lt;/condition&gt;
 * </pre>
 * <br>
 * @deprecated use {@link AmetysObjectCurrentStepCondition} instead with additional argument: &lt;arg name="object-key"&gt;org.ametys.cms.repository.Content&lt;/arg&gt;
 */
@Deprecated
public class ContentCurrentStepCondition extends AmetysObjectCurrentStepCondition
{
    @Override
    protected Object _getAmetysObjectKey(Map args)
    {
        return AbstractContentWorkflowComponent.CONTENT_KEY;
    }
    
    @Override
    public I18nizableText getLabel()
    {
        return new I18nizableText("plugin.cms", "PLUGINS_CMS_CONTENT_CURRENT_STEP_CONDITION_LABEL");
    }
    
    @Override
    public I18nizableText getFullLabel(Map<String, String> argumentsValues)
    {
        String stepId = argumentsValues.get("step");
        return new I18nizableText("plugin.cms", "PLUGINS_CMS_CONTENT_CURRENT_STEP_CONDITION_DESCRIPTION", List.of(stepId));
    }
}
