<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2010 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<!-- 
    This stylesheet is used by AmetysXSLTHelper to wrap the html view of a content and moving titles hierarchy if needed
 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="plugin:cms://stylesheets/helper/html-hierarchy.xsl"/>
    
    <xsl:param name="contentId"/>
    <xsl:param name="contentName"/>
    <xsl:param name="contentTitle"/>
    <xsl:param name="contentLanguage"/>
    <xsl:param name="headingLevel"/>
    
    <xsl:template match="/">
        <content
            id="{$contentId}"
            title="{$contentTitle}"
            name="{$contentName}">
            <xsl:if test="$contentLanguage != ''"><xsl:attribute name="language"><xsl:value-of select="$contentLanguage"/></xsl:attribute></xsl:if>
            
            <xsl:apply-templates select="*" mode="move-hierarchy">
                <xsl:with-param name="level" select="$headingLevel"/>
            </xsl:apply-templates>
        </content>
    </xsl:template>

</xsl:stylesheet>
