<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2010 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:docbook="http://docbook.org/ns/docbook" 
                              xmlns:resolver="org.ametys.cms.transformation.xslt.ResolveURIComponent"
                              xmlns:ametys="org.ametys.cms.transformation.xslt.AmetysXSLTHelper"
                              xmlns:xlink="http://www.w3.org/1999/xlink"
                              exclude-result-prefixes="docbook resolver xlink ametys">
    
    <!-- +
         | Template to call to resolve link for remote call.
         + -->
    <xsl:template name="get-remote-path">
        <xsl:param name="type"/>
        <xsl:param name="path"/>
        <xsl:param name="contentId"/>
        <xsl:param name="versionLabel"/>
        
        <xsl:if test="$contentId != ''">
            <!-- Hack by @ced : set current content in request to resolve link -->
            <xsl:variable name="content" select="ametys:setCurrentContent($contentId, $versionLabel)"/>
        </xsl:if>
        
        <xsl:value-of select="resolver:resolve('remote', concat($type, ';', $path))"/>
    </xsl:template>
    
    <!-- +
         | Template to call to resolve image for remote call.
         + -->
    <xsl:template name="get-remote-image-path">
        <xsl:param name="type"/>
        <xsl:param name="path"/>
        <xsl:param name="width"/>
        <xsl:param name="height"/>
        <xsl:param name="contentId"/>
        <xsl:param name="versionLabel"/>
        
        <xsl:if test="$contentId != ''">
            <!-- Hack by @ced : set current content in request to resolve link -->
            <xsl:variable name="content" select="ametys:setCurrentContent($contentId, $versionLabel)"/>
        </xsl:if>
        
        <xsl:value-of select="resolver:resolveImage('remote', concat($type, ';', $path), $height, $width)"/>
    </xsl:template>
    
</xsl:stylesheet>