<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2010 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0" 
				xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="node()|@*" mode="move-hierarchy">
		<xsl:param name="level" select="1"/>

		<xsl:copy>
			<xsl:apply-templates select="@*" mode="move-hierarchy">
				<xsl:with-param name="level" select="$level"/>
			</xsl:apply-templates>
			<xsl:apply-templates mode="move-hierarchy">
				<xsl:with-param name="level" select="$level"/>
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="*[starts-with(name(),'h') and string-length(name())=2 and string(number(substring(name(),2,1)))!='NaN']" mode="move-hierarchy">
		<xsl:param name="level" select="1"/>
        
        <xsl:variable name="newLevel" select="substring(name(), 2) + number($level) - 1"/>
        
        <xsl:variable name="newName">
            <xsl:choose>
                <xsl:when test="number($newLevel) &gt; 6">h6</xsl:when>
                <xsl:when test="number($newLevel) &lt; 1">h1</xsl:when>
                <xsl:otherwise>h<xsl:value-of select="$newLevel"/></xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        
		<xsl:element name="{$newName}">
			<xsl:apply-templates select="@*" mode="move-hierarchy">
				<xsl:with-param name="level" select="$level"/>
			</xsl:apply-templates>
			<xsl:apply-templates mode="move-hierarchy">
				<xsl:with-param name="level" select="$level"/>
			</xsl:apply-templates>
		</xsl:element>
	</xsl:template>
	
</xsl:stylesheet>
