<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2010 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<!--DOCTYPE xsl:stylesheet PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "xhtml1-transitional.dtd"-->
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                
    <xsl:param name="prefix"/>
    
    <xsl:template match="/*">
    	<references>
    		<xsl:apply-templates/>
    	</references>
    </xsl:template>
    
    <xsl:template match="*">
    		<xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="text()"/>
	    
    <xsl:template match="a">
        <xsl:variable name="type">
            <xsl:call-template name="get-type">
                <xsl:with-param name="value"><xsl:value-of select="@data-ametys-type" /></xsl:with-param>
            </xsl:call-template>
        </xsl:variable>
        
    	<reference type="{$type}"><xsl:value-of select="@href"/></reference>
    </xsl:template>
    
    <xsl:template match="img">
        <xsl:variable name="type">
            <xsl:call-template name="get-type">
                <xsl:with-param name="value"><xsl:value-of select="@data-ametys-type" /></xsl:with-param>
            </xsl:call-template>
        </xsl:variable>
        
        <reference type="{$type}"><xsl:value-of select="@href"/></reference>
    </xsl:template>
    
    <xsl:template name="get-type">
        <xsl:param name="value" />
        
        <!-- default type is __external -->
        <xsl:choose>
            <xsl:when test="$value != '' and $value != 'mail' and $value != 'phone'"><xsl:value-of select="$value" /></xsl:when>
            <xsl:otherwise><xsl:text>__external</xsl:text></xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
</xsl:stylesheet>