<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2011 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:i18n="http://apache.org/cocoon/i18n/2.1">
    
    <xsl:param name="startDate"/>
    <xsl:param name="endDate"/>
    <xsl:param name="totalVersionsPurged"/>
    <xsl:param name="totalContentsPurged"/>
    <xsl:param name="url"/>
    
    <xsl:variable name="nl"><xsl:text>
</xsl:text></xsl:variable>
    
    <xsl:template match="/">
        <text>
            <i18n:translate>
                <i18n:text i18n:key="PLUGINS_CMS_PURGE_CONTENTS_REPORT_BODY_TITLE"/>
                <i18n:param name="startDate"><i18n:date pattern="long" src-pattern="yyyy-MM-dd'T'HH:mm:ss"><xsl:value-of select="$startDate"/></i18n:date></i18n:param>
                <i18n:param name="startTime"><i18n:time pattern="short" src-pattern="yyyy-MM-dd'T'HH:mm:ss"><xsl:value-of select="$startDate"/></i18n:time></i18n:param>
                <i18n:param name="endDate"><i18n:date pattern="long" src-pattern="yyyy-MM-dd'T'HH:mm:ss"><xsl:value-of select="$endDate"/></i18n:date></i18n:param>
                <i18n:param name="endTime"><i18n:time pattern="short" src-pattern="yyyy-MM-dd'T'HH:mm:ss"><xsl:value-of select="$endDate"/></i18n:time></i18n:param>
            </i18n:translate>
            <xsl:text>&lt;br/&gt;</xsl:text>
            <xsl:choose>
                <xsl:when test="$totalVersionsPurged &gt; 0">
                    <i18n:translate>
                        <i18n:text i18n:key="PLUGINS_CMS_PURGE_CONTENTS_REPORT_BODY_MESSAGE"/>
                        <i18n:param name="versionCount"><xsl:value-of select="$totalVersionsPurged"/></i18n:param>
                        <i18n:param name="contentCount"><xsl:value-of select="$totalContentsPurged"/></i18n:param>
                    </i18n:translate>
                </xsl:when>
                <xsl:otherwise>
                    <i18n:text i18n:key="PLUGINS_CMS_PURGE_CONTENTS_REPORT_BODY_MESSAGE_NO_CONTENT"/>
                </xsl:otherwise>
            </xsl:choose>
        </text>
    </xsl:template>
    
</xsl:stylesheet>
