<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2022 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1">
    
    <xsl:param name="contextPath"/>
    
    <xsl:template match="/">
        <html>
            <head>
                <xsl:call-template name="head"/>
            </head>
            
            <body>
                <xsl:call-template name="body"/>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template name="head">
        <!-- jQuery -->
        <script type="text/javascript" src="{$contextPath}/plugins/jquery/resources/js/jquery.min.js"></script>
        <script type="text/javascript" src="{$contextPath}/plugins/jquery-ui/resources/js/jquery-ui.min.js"></script>
        <link type="text/css" href="{$contextPath}/plugins/jquery-ui/resources/css/ui-lightness/jquery-ui.css" rel="stylesheet" />
        
        <script type="text/javascript">
            $j = jQuery.noConflict();
        </script>
        
        <style>
            body, .ui-widget {
                font-family: 'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif;
            }
        </style>
        <xsl:copy-of select="/html/head/node()"/> 
    </xsl:template>
    
    <xsl:template name="body">
        <xsl:copy-of select="/html/body/node()"/> 
    </xsl:template>
</xsl:stylesheet>