/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import org.ametys.cms.content.AllContentTestSuite;
import org.ametys.cms.content.search.AllSearchTestSuite;
import org.ametys.cms.contenttype.AllContentTypeTestSuite;
import org.ametys.cms.data.ContentDataHelperTestCase;
import org.ametys.cms.data.ametysobject.AmetysObjectDisableConditionsEvaluatorTestCase;
import org.ametys.cms.data.extractor.AllValuesExtractorTestSuite;
import org.ametys.cms.data.holder.AllDataHolderTestSuite;
import org.ametys.cms.data.type.impl.AllDataTypeImplTestSuite;
import org.ametys.cms.repository.ModifiableContentDataHolderTestCase;
import org.ametys.cms.rights.access.controller.ContentAccessControllerTestCase;
import org.ametys.cms.source.DefaultContentViewTestCase;
import org.ametys.cms.transformation.AttributeURIResolverTestCase;
import org.ametys.cms.transformation.LocalURIResolverTestCase;


/**
 * TestSuite grouping all cms tests.
 */
@RunWith(Suite.class)
@SuiteClasses({
    SafeModeTestCase.class,
    
    AllContentTestSuite.class,
    AllContentTypeTestSuite.class,

    AllSearchTestSuite.class,
    
    AllValuesExtractorTestSuite.class,    
    AllDataHolderTestSuite.class,
    AllDataTypeImplTestSuite.class,
    AmetysObjectDisableConditionsEvaluatorTestCase.class,
    ContentDataHelperTestCase.class,
    ModifiableContentDataHolderTestCase.class,
    
    ContentAccessControllerTestCase.class,
    DefaultContentViewTestCase.class,
    
    AttributeURIResolverTestCase.class,
    LocalURIResolverTestCase.class
})
public class AllTests
{
    // empty class
}
