/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms;

import org.ametys.runtime.test.framework.CocoonTestCase.NeedFeatures;

/**
 * Marker interface in order to {@link NeedFeatures load} features needed by a CMS TestCase on webapp "test/environments/webapp".
 */
@NeedFeatures({
    "default-content-view-plugin1/content-types", // because overrides of content-types in WEB-INF/param are systematically applied
    "default-content-view-plugin2/content-types", // because overrides of content-types in WEB-INF/param are systematically applied
    
    "exhaustif/content-type", // because the search model in WEB-INF/param/search/test.xml uses the exhaustive content type
})
public interface WithCmsTestWebappFeatures
{
    // Nothing
}

