/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.content.search;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import org.ametys.cms.content.search.advanced.AdvancedQueryBuilderTestCase;
import org.ametys.cms.content.search.advanced.QueryBuilderTestCase;
import org.ametys.cms.content.search.advanced.TreeNodeTestCase;
import org.ametys.cms.content.search.columns.ColumnHelperTestCase;
import org.ametys.cms.content.search.criterion.indexingfieldaggregator.IndexingFieldAggregatorSearchUICriterionTestCase;
import org.ametys.cms.content.search.model.StaticSearchUIModelTestCase;
import org.ametys.cms.content.search.query.AndOrQueryTestCase;

import junit.framework.TestSuite;

/**
 * Tests suite for search feature.
 */
@RunWith(Suite.class)
@SuiteClasses({
    ContentSearcherTestCase.class,
    ContentSearcherWithRightsTestCase.class,
    ContentSearchHelperTestCase.class,
    ContentValuesExtractorTestCase.class,
    SearcherTestCase.class,
    SearchGeneratorTestCase.class,

    AndOrQueryTestCase.class,
    
    StaticSearchUIModelTestCase.class,
    
    IndexingFieldAggregatorSearchUICriterionTestCase.class,
    
    ColumnHelperTestCase.class,
    
    TreeNodeTestCase.class,
    QueryBuilderTestCase.class,
    AdvancedQueryBuilderTestCase.class
})
public final class AllSearchTestSuite extends TestSuite
{
    // empty class
}
