/*
 *  Copyright 2020 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.data.ametysobject;

import java.util.Map;
import java.util.Set;

import org.ametys.plugins.repository.data.external.ExternalizableDataProvider;
import org.ametys.plugins.repository.data.holder.ModelAwareDataHolder;
import org.ametys.runtime.model.ModelItem;

/**
 * Externalizable data provider for {@link AmetysObjectDisableConditionsEvaluatorTestCase}
 */
public class DisableConditionsTestExternalizableDataProvider implements ExternalizableDataProvider
{
    private static final Set<String> __EXTERNALIZABLE_DATA_FOR_DISABLE_CONDITIONS_TESTS = Set.of(
            "atRoot",
            "composite/repeater/inRepeater"
    );
    
    public Set<String> getExternalizableDataPaths(ModelAwareDataHolder dataHolder)
    {
        return __EXTERNALIZABLE_DATA_FOR_DISABLE_CONDITIONS_TESTS;
    }
    
    public boolean isDataExternalizable(ModelAwareDataHolder dataHolder, ModelItem modelItem, Map<String, Object> context)
    {
        return __EXTERNALIZABLE_DATA_FOR_DISABLE_CONDITIONS_TESTS.contains(modelItem.getPath());
    }
}
