/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.data.holder;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import org.ametys.cms.data.holder.group.impl.ModifiableModelAwareRepeaterSynchronizeTestCase;
import org.ametys.cms.data.holder.group.impl.ModifiableRepeaterTestCase;

import junit.framework.TestSuite;

/**
 * Tests suite for data holder feature.
 */
@RunWith(Suite.class)
@SuiteClasses({
    DataHolderHelperTesCase.class,
    DataHolderTestCase.class,
    
    ModelAwareDataHolderHasAndGetValueTestCase.class,
    ModelAwareDataHolderExternalizableDataTestCase.class,
    ModelAwareDataHolderGetValueProcessingMultiplesTestCase.class,
    ModelAwareDataHolderToSAXTestCase.class,
    ModelAwareDataHolderToJSONTestCase.class,
    ModelAwareDataHolderToMapTestCase.class,
    ModelAwareDataHolderBasicsTestCase.class,
    ModelAwareDataHolderCommentTestCase.class,
    ModelAwareDataHolderHasDifferencesTestCase.class,
    ModelAwareDataHolderHasDifferencesExternalizableTestCase.class,
    
    ModifiableModelAwareDataHolderTestCase.class,
    ModifiableModelAwareDataHolderExternalizableDataTestCase.class,
    ModifiableModelAwareDataHolderSynchronizeExternalizableTestCase.class,
    ModifiableModelAwareDataHolderSynchronizeTestCase.class,
    ModifiableModelAwareDataHolderCardinalityTestCase.class,
    
    ModelLessDataHolderHasAndGetValueTestCase.class,
    ModelLessDataHoldertoSAXTestCase.class,
    ModelLessDataHoldertoJSONTestCase.class,
    ModelLessDataHolderBasicsTestCase.class,
    
    ModifiableModelLessDataHolderTestCase.class,
    ModifiableModelLessDataHolderSynchronizeTestCase.class,
    
    ModifiableModelAwareRepeaterSynchronizeTestCase.class,
    ModifiableRepeaterTestCase.class
})
public final class AllDataHolderTestSuite extends TestSuite
{
    // empty class
}
